<template>
  <div v-if="id">
    <b-modal
      id="modal-details"
      ref="modal"
      title="Detalhes da consulta"
      :ok-title="'fechar'">

      <div v-if="query">
        <ul>
          <li>
            <strong>Nome do médico: </strong>
            {{ query.medico.nome }}
          </li>
          <li>
            <strong>Nome do paciente: </strong>
            {{ query.paciente }}
          </li>
          <li>
            <strong>Data da consulta: </strong>
            {{ query.dataConsulta }}
          </li>
          <li>
            <strong>Observação: </strong>
            {{ query.observacao }}
          </li>
        </ul>
      </div>
    </b-modal>
  </div>
</template>

<script>
import QueryService from '@/services/queryservice'
import { mapActions } from 'vuex'

export default {
  name: 'modal-detail',

  data() {
    return {
      query: null,
    }
  },

  props: {
    id: {
      default: null
    }
  },

  created() {
    this.queryService = new QueryService()
  },

  methods: {
    ...mapActions([
      'controlFeedbackVisibilite'
    ]), 

    getQueryDetail() {
      this.queryService.getQueryById(this.id).then((response) => {
        this.query = response.data.data
      }).catch((error) => {
        const paramError = { type: 'error', msg: true }
        this.controlFeedbackVisibilite(paramError)
        console.log(error)
      }).finally(() => {
        this.$nextTick(() => {
          this.$bvModal.hide('modal-1')
        })
         setTimeout(() => {
          const paramError = { type: 'error', msg: false }
          this.controlFeedbackVisibilite(paramError)
        }, 3000)
      })
    }
  },

  watch: {
    id(value) {
      if(value) this.getQueryDetail()
    }
  }
}
</script>

<style lang="scss">

</style>